#include <gtk/gtk.h>

#define SYSTEM_FILE "/usr/X11R6/lib/X11/rgb.txt"

GtkWidget *gcolor2;
GtkWidget *menu;

enum
{
	COLOR,
	COLOR_VALUE,
	COLOR_NAME,
	COLOR_TYPE,
	N_COLUMNS
};


void
show_file_error                        (gchar* message);

void
on_about_button_clicked                (GtkButton       *button,
                                        gpointer         user_data);

void
on_colorselection1_color_changed       (GtkColorSelection *colorselection,
                                        gpointer         user_data);
										
void
on_entry1_changed_event                (GtkEditable     *editable,
                                        gpointer         user_data);

void
on_list_selection_changed              (GtkTreeSelection *selection,
                                        gpointer         user_data);

void
on_copy_color_to_clipboard1_activate   (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_show_system_colors1_activate        (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
show_popup_menu                        (GtkWidget       *treeview,
                                        GdkEventButton  *event,
                                        gpointer         user_data);

gboolean
on_treeview1_button_press_event        (GtkWidget       *widget,
                                        GdkEventButton  *event,
                                        gpointer         user_data);

gboolean
on_treeview1_popup_menu                (GtkWidget       *widget,
                                        gpointer         user_data);

void
on_save_button_clicked                 (GtkButton       *button,
                                        gpointer         user_data);
										
void
save_selected_color                    ();

void
on_delete_button_clicked               (GtkButton       *button,
                                        gpointer         user_data);

void
delete_selected_color                  ();

void
on_gcolor2_destroy                      (GtkObject       *object,
                                        gpointer         user_data);

void
on_quit_button_clicked                 (GtkButton       *button,
                                        gpointer         user_data);

